package cokr.xit.ens.modules.common.ctgy.intgrnbill.nv.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;


/**
 * <ul>
 * <li>업무 그룹명: 네이버페이 간편결제API - 지원카드코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2023. 2. 07. 오후 1:57:43
 * </ul>
 *
 * @author 박민규
 */

public enum NvEpCardCd implements CodeMapperType {
    C0("신한"),
    C1("비씨"),
    C2("광주"),
    C3("KB국민"),
    C4("NH"),
    C5("롯데"),
    C6("산업"),
    C7("삼성"),
    C8("수협"),
    C9("씨티"),
    CA("외환"),
    CB("우리"),
    CC("전북"),
    CD("제주"),
    CF("하나-외환"),
    CH("현대"),
    ;
    @Getter
    private String code;
    @Getter
    private String codeNm;

    NvEpCardCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }
}
